View Issue Details

IDProjectCategoryView StatusLast Update
0032782Open CASCADEOCCT:Visualizationpublic2022-08-28 10:59
Reporterkgv Assigned Tongavrilo  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032782: Visualization, TKD3DHost - improve robustness of test case opengl/drivers/d3dhost
DescriptionTest case opengl/drivers/d3dhost fails on Jenkins:
pload MODELING VISUALIZATION 
vdriver -load D3DHOST 
pload D3DHOST 
vclear 
vinit View1 
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
Direct3D9, Present device failed, Error #141953144)


but works fine locally.
It is desired providing some solution to this problem.
Steps To Reproduceopengl drivers d3dhost
TagsNo tags attached.
Test case numberopengl drivers d3dhost

Relationships

child of 0032208 closedbugmaster Tests - refactor visualization tests to cover several graphic drivers 

Activities

git

2022-08-02 11:15

administrator   ~0110101

Branch CR32782 has been created by ngavrilo.

SHA-1: 33c8a72788661285860902f261062e39f32a2d46


No new revisions were added by this update.

git

2022-08-03 17:11

administrator   ~0110126

Branch CR32782 has been updated by ngavrilo.

SHA-1: 069f424bb6d9dfa5ba8aa251d5861c8e74154f27


Detailed log of new commits:

Author: Nikolay Gavrilov
Date: Wed Aug 3 17:11:22 2022 +0300

    0032782: Visualization, TKD3DHost - improve robustness of test case opengl/drivers/d3dhost

git

2022-08-19 12:34

administrator   ~0110318

Branch CR32782 has been updated forcibly by ngavrilo.

SHA-1: 30509bcf0781e33b4ce379026b1dc072ac7dc61e

git

2022-08-19 20:47

administrator   ~0110329

Branch CR32782 has been updated by ngavrilo.

SHA-1: ad9f7a8a07d85b75690eae6a75e5551be543e5d9


Detailed log of new commits:

Author: Nikolay Gavrilov
Date: Fri Aug 19 20:46:00 2022 +0300

    *

git

2022-08-22 11:14

administrator   ~0110339

Branch CR32782 has been updated forcibly by ngavrilo.

SHA-1: ae348d83ffcf9460542b7e4b2f82c2d31f594c54

git

2022-08-22 12:24

administrator   ~0110342

Branch CR32782 has been updated forcibly by ngavrilo.

SHA-1: 87a498aefcee3c5f037e1696133e6d0b7e878953

ngavrilo

2022-08-22 19:16

developer   ~0110345

Patch is ready for review
- OCCT: CR32782
http://jenkins-test-occt.nnov.opencascade.com/job/CR32782-master-NGAVRILO3-Products-Windows-64-VC14-opt-test-compare/1/
http://jenkins-test-occt.nnov.opencascade.com/job/CR32782-master-NGAVRILO3-OCCT-Windows-64-VC14-opt-test-compare/1/
http://jenkins-test-occt.nnov.opencascade.com/job/CR32782-master-NGAVRILO3-OCCT-Debian80-64-opt-test-compare/1/
http://jenkins-test-occt.nnov.opencascade.com/job/CR32782-master-NGAVRILO3-Products-Debian80-64-opt-test-compare/1/

ngavrilo

2022-08-22 19:17

developer   ~0110346

Inside D3DHost_View::d3dSwap() the call myD3dDevice->Present returns S_PRESENT_OCCLUDED instead of D3D_OK, it occurs when rendering window is hidden. In this case S_PRESENT_OCCLUDED is also acceptable, because Jenkins runs all tests in offscreen mode with IsVirtual flag and rendering results will be saved.
https://docs.microsoft.com/en-us/windows/win32/direct3d9/device-state-return-codes

kgv

2022-08-23 09:37

developer   ~0110347

Please raise the patch.

smoskvin

2022-08-27 14:16

administrator   ~0110388

Combination -
OCCT branch : IR-2022-08-26
master SHA - changes and them, and you can discard any commits you make in this
acac44d571c379b974e609ab8376ab3fb38f992e
changes and them, and you can discard any commits you make in this
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-08-26 SHA - d69fdb0b90e80500fad94ec94a075185cd820071
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18740.360000000626 / 18736.06000000064 [+0.02%]
Products
Total CPU difference: 11987.570000000105 / 11972.270000000151 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 20800.71875 / 20773.21875 [+0.13%]
Products
Total CPU difference: 13554.96875 / 13548.546875 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-08-28 10:59

administrator   ~0110394

Branch CR32782 has been deleted by mnt.

SHA-1: 87a498aefcee3c5f037e1696133e6d0b7e878953

Related Changesets

occt: master da76ea43

2022-08-19 12:33:52

ngavrilo


Committer: smoskvin Details Diff
0032782: Visualization, TKD3DHost - improve robustness of test case opengl/drivers/d3dhost Affected Issues
0032782
mod - src/D3DHost/D3DHost_View.cxx Diff File

Issue History

Date Modified Username Field Change
2022-01-18 13:46 kgv New Issue
2022-01-18 13:46 kgv Assigned To => kgv
2022-01-18 13:46 kgv Assigned To kgv => CheskoArt
2022-01-18 13:46 kgv Status new => assigned
2022-01-18 13:46 kgv Test case number => opengl drivers d3dhost
2022-01-18 13:46 kgv Relationship added child of 0032208
2022-07-15 10:21 kgv Assigned To CheskoArt => ngavrilo
2022-07-15 16:32 ngavrilo Time allocated 15.7.2022: 4 h. => set
2022-08-02 11:15 git Note Added: 0110101
2022-08-02 20:22 ngavrilo Time allocated 2.8.2022: 8 h. => set
2022-08-03 17:11 git Note Added: 0110126
2022-08-03 18:29 ngavrilo Time allocated 3.8.2022: 4 h. => set
2022-08-04 22:24 ngavrilo Time allocated 4.8.2022: 6 h. => set
2022-08-18 21:27 ngavrilo Time allocated 18.8.2022: 8 h. => set
2022-08-19 12:34 git Note Added: 0110318
2022-08-19 20:47 git Note Added: 0110329
2022-08-22 11:14 git Note Added: 0110339
2022-08-22 12:24 git Note Added: 0110342
2022-08-22 19:15 ngavrilo Time allocated 22.8.2022: 4 h. => set
2022-08-22 19:16 ngavrilo Assigned To ngavrilo => kgv
2022-08-22 19:16 ngavrilo Status assigned => resolved
2022-08-22 19:16 ngavrilo Note Added: 0110345
2022-08-22 19:17 ngavrilo Note Added: 0110346
2022-08-23 09:37 kgv Assigned To kgv => bugmaster
2022-08-23 09:37 kgv Status resolved => reviewed
2022-08-23 09:37 kgv Note Added: 0110347
2022-08-27 14:16 smoskvin Status reviewed => tested
2022-08-27 14:16 smoskvin Note Added: 0110388
2022-08-28 10:55 smoskvin Changeset attached => occt master da76ea43
2022-08-28 10:55 ngavrilo Assigned To bugmaster => ngavrilo
2022-08-28 10:55 ngavrilo Status tested => verified
2022-08-28 10:55 ngavrilo Resolution open => fixed
2022-08-28 10:59 git Note Added: 0110394